Update an email template

Update an email template

put
Path parameters
idstringRequired

The id of the email template.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class represents the data transfer object for the email template with command request.

eventIdstring · min: 1Required

The id of the event.

countryCodestring · nullableOptional

The country code of the email. This value is used to determine the country of the email. Following the ISO 3166-1 alpha-2 standard. For example, "US" for United States, "FR" for France, etc.

languageCodestring · min: 1Required

The language code of the email. This value is used to determine the language of the email. Following the ISO 639-1 standard. For example, "en" for English, "fr" for French, etc.

subjectstring · min: 1Required

The subject of the email.

bodystring · min: 1Required

The body of the email. If the email is in HTML format, the body should be in HTML format. The body can contain placeholders. Please refer to the placeholder-keys API to get the list of placeholders. And replace the placeholders with the actual values.

tagsstring · nullableOptional

The tags of the email.

Responses
put
/api/v1/email-templates/{id}

Last updated